GROUPMEMBER(9)

NAME
groupmember - checks if credentials mandate some group membership

SYNOPSIS
#include <sys/param.h>
#include <sys/ucred.h>
bool
groupmember(gid_t gid, const struct ucred *cred);
bool
realgroupmember(gid_t gid, const struct ucred *cred);

DESCRIPTION
The groupmember() function checks if credentials cred indicate that the associated subject or object is a member of the group designated by the group ID gid.

Considered groups in cred are the effective and supplementary groups. The real group is not taken into account.

Function realgroupmember() works the same except that it considers instead the real and supplementary groups, and not the effective one.

RETURN VALUES
The groupmember() and realgroupmember() functions return true if the given credentials indicate membership of the group gid, or false otherwise.

SEE ALSO
getgroups(2), setgroups(2)

AUTHORS
This manual page was initially written by -nosplit Chad David <davidc@acns.ab.ca> and was revised by Olivier Certner <olce.freebsd@certner.fr>.